
#include "defines.h"
#include "config.h"
#include "production.h"
#include "configuration.h"


// from config.cpp
extern config_t myConfig;

bool productionMode = false;

void setup() {
  pinMode(LED_BLUE, OUTPUT);
  digitalWrite(LED_BLUE, LOW);
  pinMode(LED_RED, OUTPUT);
  digitalWrite(LED_RED, LOW);
  pinMode(LED_GREEN, OUTPUT);
  digitalWrite(LED_GREEN, LOW);

  Serial.begin(115200);

  configInit();

  if (productionMode) {
    productionSetup();
  } else {
    configurationSetup();
  }
}

void loop()
{
  if (productionMode) {
    productionLoop();
  } else {
    configurationLoop();
  }
}
